<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Franck Allimant                                                */
/*		email : thelia@allimant.org		        	                             	 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php
include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");

class Variablespersos extends PluginsClassiques
{
    const VERSION = '1.0.1';
    
    public $vars;
    
	function Variablespersos()
    {
		$this->PluginsClassiques("variablespersos");
		
		$this->vars = array();
	}

	function init()
    {
		$this->ajout_desc(
                "Variables Persos",
                "Plugin Variables Persos",
                "Ce plugin permet de dfinir des variables Thlia #xxxx dans l'URL de la page, ou grace  la commande #ASSIGNER, et de les utiliser dans vos templates",
                1);
	}

    function destroy()
    {
        // Rien
    }

    // Lire les variables assignes dans l'URL de la page,
    // et traiter les filtres d'assignations
    public function action()
    {
        global $res;

        if (isset($_REQUEST['assigner']))
        {
            $vars = split(',', $_REQUEST['assigner']);
            
            foreach($vars as $nom_var)
            {
                if (isset($_REQUEST[$nom_var]))
                {
                    $res = str_replace("#" . $nom_var, trim($_REQUEST[$nom_var]), $res);
                }
            }
        }

        if (preg_match_all("/\\#ASSIGNER[\\s]+([^\\s=]+)[\\s]*=[\\s]*(.*)/", $res, $matches, PREG_SET_ORDER))
        {
            foreach($matches as $match)
            {
                $res = str_replace("#" . $match[1], trim($match[2]), $res);

                $res = str_replace($match[0], '', $res);
            }
        }
    }
}
?>
